import { z } from "zod";
const dateStr = z
    .string()
    .refine((v) => new Date(v).toString() !== "Invalid Date", {
    message: "Invalid date",
});
export const interestRatesQuerySchema = z.object({
    correlationId: z.string().optional(),
    interestGroupCode: z.string().optional(),
    date: dateStr.optional(),
    countryIds: z.string(),
    businessAreaIds: z.string(),
});
export const loanToValueQuerySchema = z.object({
    correlationId: z.string().optional(),
    productCode: z.string().optional(),
    countryIds: z.string(),
    businessAreaIds: z.string(),
});
