import { InterestRatesQueryRequest, InterestRatesResponse, LoanToValueQueryRequest, LoanToValueResponse } from "./schemas/information.schema";
import { CreateAccountQueryRequest, CreateAccountRequest, ReserveAccountQueryRequest, ReserveAccountResponse } from "./schemas/accounts.schema";
/**
 * Reserve account
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function reserveAccount(query: ReserveAccountQueryRequest, baseUrl?: string): Promise<ReserveAccountResponse>;
/**
 * Create account
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function createAccount(query: CreateAccountQueryRequest, data: CreateAccountRequest, baseUrl?: string): Promise<any>;
/**
 * Get interest rates
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function getInterestRates(query: InterestRatesQueryRequest, baseUrl?: string): Promise<InterestRatesResponse>;
/**
 * Get loan to value
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export declare function getLoanToValue(query: LoanToValueQueryRequest, baseUrl?: string): Promise<LoanToValueResponse>;
export type { CreateAccountRequest, CreateAccountQueryRequest, ReserveAccountQueryRequest, ReserveAccountResponse, InterestRatesQueryRequest, InterestRatesResponse, LoanToValueQueryRequest, LoanToValueResponse, };
