import axios from "axios";
/**
 * Reserve account
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export async function reserveAccount(query, baseUrl = "http://services-core") {
    const response = await axios.post(`${baseUrl}/api/accounts/reservation`, null, { params: query });
    return response.data;
}
/**
 * Create account
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export async function createAccount(query, data, baseUrl = "http://services-core") {
    const response = await axios.post(`${baseUrl}/api/accounts`, data, { params: query });
    return response.data;
}
/**
 * Get interest rates
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export async function getInterestRates(query, baseUrl = "http://services-core") {
    const response = await axios.get(`${baseUrl}/api/information/interest-rates`, { params: query });
    return response.data;
}
/**
 * Get loan to value
 * @param baseUrl - Baseurl to service url @defaults to http://services-core
 */
export async function getLoanToValue(query, baseUrl = "http://services-core") {
    const response = await axios.get(`${baseUrl}/api/information/loan-to-value`, { params: query });
    return response.data;
}
